diff --git a/hubs/widgets/github_pr.py b/hubs/widgets/github_pr.py
index b2d1788..c2a0be9 100755
--- a/hubs/widgets/github_pr.py
+++ b/hubs/widgets/github_pr.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import logging
 
 from hubs.widgets.chrome import panel
diff --git a/hubs/widgets/githubissues.py b/hubs/widgets/githubissues.py
index 986ff11..7130183 100755
--- a/hubs/widgets/githubissues.py
+++ b/hubs/widgets/githubissues.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import requests
 
 from hubs.hinting import hint
diff --git a/hubs/widgets/library.py b/hubs/widgets/library.py
index b18354a..08ad334 100644
--- a/hubs/widgets/library.py
+++ b/hubs/widgets/library.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.chrome import panel
 from hubs.widgets.base import argument
@@ -21,9 +23,9 @@ def data(session, widget, urls):
 
     urls = [
         clean_input.clean(
-            '<a href="{0}">{0}</a>'.format(u.encode('utf-8').strip()))
+            '<a href="{0}">{0}</a>'.format(u.strip()))
         for u in widget.config.get('urls', '').split(',')
-        if u.encode('utf-8').strip()
+        if u.strip()
     ]
     return dict(urls=urls)
 
diff --git a/hubs/widgets/linechart.py b/hubs/widgets/linechart.py
index f12ef8f..3d41057 100755
--- a/hubs/widgets/linechart.py
+++ b/hubs/widgets/linechart.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint
 from hubs.widgets.base import argument
 from hubs.widgets import templating
diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 8c05744..713177b 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint
 from hubs.widgets.base import argument
 from hubs.widgets.chrome import panel
diff --git a/hubs/widgets/memberships.py b/hubs/widgets/memberships.py
index 48d8fea..2763db0 100644
--- a/hubs/widgets/memberships.py
+++ b/hubs/widgets/memberships.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import hubs.models
 from hubs.hinting import hint, prefixed as _
 import hubs.validators as validators
diff --git a/hubs/widgets/pagure_pr.py b/hubs/widgets/pagure_pr.py
index cdb8365..081dcb4 100755
--- a/hubs/widgets/pagure_pr.py
+++ b/hubs/widgets/pagure_pr.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint
 from hubs.widgets.chrome import panel
 from hubs.widgets.base import argument
diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index c9ecd53..9a4dca8 100755
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import requests
 
 from hubs.hinting import hint
diff --git a/hubs/widgets/rules.py b/hubs/widgets/rules.py
index 443f07c..d7554b9 100755
--- a/hubs/widgets/rules.py
+++ b/hubs/widgets/rules.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from collections import OrderedDict as ordereddict
 
 from hubs.hinting import hint, prefixed as _
diff --git a/hubs/widgets/stats.py b/hubs/widgets/stats.py
index 55c90db..ebd6cc8 100755
--- a/hubs/widgets/stats.py
+++ b/hubs/widgets/stats.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.chrome import panel
 from hubs.widgets import templating
diff --git a/hubs/widgets/sticky.py b/hubs/widgets/sticky.py
index 55cc6a1..ca74f59 100755
--- a/hubs/widgets/sticky.py
+++ b/hubs/widgets/sticky.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.chrome import panel
 from hubs.widgets.base import argument
diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index 82fce66..8035d3d 100755
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.base import argument
 from hubs.widgets.chrome import panel
diff --git a/hubs/widgets/templating.py b/hubs/widgets/templating.py
index 98b29cd..41e0c5b 100644
--- a/hubs/widgets/templating.py
+++ b/hubs/widgets/templating.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import os
 
 import jinja2
diff --git a/hubs/widgets/workflow/pendingacls.py b/hubs/widgets/workflow/pendingacls.py
index 581bd70..5bc6594 100644
--- a/hubs/widgets/workflow/pendingacls.py
+++ b/hubs/widgets/workflow/pendingacls.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import requests
 
 from hubs.hinting import hint, prefixed as _
diff --git a/hubs/widgets/workflow/updates2stable.py b/hubs/widgets/workflow/updates2stable.py
index 675d793..c7df1c3 100644
--- a/hubs/widgets/workflow/updates2stable.py
+++ b/hubs/widgets/workflow/updates2stable.py
@@ -1,3 +1,5 @@
+from __future__ import unicode_literals
+
 import requests
 
 from hubs.hinting import hint, prefixed as _
diff --git a/populate-from-fas.py b/populate-from-fas.py
index 7639c81..b74e8a6 100755
--- a/populate-from-fas.py
+++ b/populate-from-fas.py
@@ -1,6 +1,8 @@
 #!/usr/bin/env python
 """ Populate the hubs db with lots of data from FAS. """
 
+from __future__ import unicode_literals
+
 import getpass
 import socket
 import string
diff --git a/populate.py b/populate.py
index 5c34700..4286940 100755
--- a/populate.py
+++ b/populate.py
@@ -1,6 +1,8 @@
 #!/usr/bin/env python
 """ Populate the hubs db with some dev data. """
 
+from __future__ import unicode_literals
+
 import json
 
 import hubs.models
diff --git a/runserver.py b/runserver.py
index 5e5a4f2..9552b0a 100755
--- a/runserver.py
+++ b/runserver.py
@@ -1,5 +1,7 @@
 #!/usr/bin/env python2
 
+from __future__ import unicode_literals
+
 import argparse
 import sys
 import os
diff --git a/setup.py b/setup.py
index 15f69c2..aa9b63e 100644
--- a/setup.py
+++ b/setup.py
@@ -1,5 +1,7 @@
 """ Setup file for fedora hubs """
 
+from __future__ import unicode_literals
+
 from setuptools import setup, find_packages
 
 
diff --git a/smart_cache_invalidator.py b/smart_cache_invalidator.py
index 77021fc..25c2540 100755
--- a/smart_cache_invalidator.py
+++ b/smart_cache_invalidator.py
@@ -8,7 +8,7 @@ This is really useful for development purposes as it allow seeing changes
 made to a widget without dropping the entire cache database.
 """
 
-from __future__ import print_function
+from __future__ import print_function, unicode_literals
 
 import argparse
 import os

